# -*- mode: rpm-spec; coding: utf-8 -*-
# $Id: postgresql,v 1.13 2002/10/08 10:33:00 lioka Exp $

%def_without devel

%define prog_name            postgresql
%define postgresql_major     8
%define postgresql_minor     2
%define postgresql_subminor  13
%define postgresql_altrel    1
%define libpq_major          5
%define libpq_minor          0
%define libecpg_major        5
%define libecpg_minor        2

Name: %prog_name%postgresql_major.%postgresql_minor
Version: %postgresql_major.%postgresql_minor.%postgresql_subminor
Release: alt%postgresql_altrel

%define PGSQL pgsql
%define ROOT %_localstatedir/%PGSQL-root

%define libpq_name    libpq%libpq_major.%libpq_minor
%define libecpg_name  libecpg%libecpg_major.%libecpg_minor

Summary: PostgreSQL client programs and libraries
License: BSD
Group: Databases
URL: http://www.postgresql.org/

Packager: PostgreSQL Maintainers Team <pgsql@packages.altlinux.org>



Source0: %prog_name.tar
Source1: %prog_name.init.in
Source2: %prog_name.chroot.lib.in
Source3: %prog_name.chroot.conf.in
Source4: %prog_name.chroot.all
Source5: %prog_name.chroot.bin.in
Source6: %name.README.ALT-ru_RU.UTF-8
Source7: %prog_name.chroot.contrib

Source8: pg-migration-scripts-7.2.tar
Source12: %prog_name-dump.1

Source40: upgrade_tips_7.3
Source41: ftp.postgresql.org:/pub/binary/v7.2/RPMS/README.rpm-dist
Source42: http://www.rbt.ca/postgresql/upgrade/upgrade.pl

Patch0: %prog_name-8.1.0-include.patch
Patch1: %prog_name-8.2.3-alt-chroot.patch
Patch2: %prog_name-8.2.0-tinfo.patch
Patch3: %prog_name-8.2.0-libpq-locale.patch


BuildPreReq: /usr/bin/mksock perl-DBD-Pg perl-DBI perl-Pg autoconf_2.50

Requires: %libpq_name = %version-%release

Provides: %prog_name = %version-%release
Conflicts: %prog_name < %version-%release
Conflicts: %prog_name > %version-%release
Conflicts: %{prog_name}8.0
Conflicts: %{prog_name}8.1
Conflicts: %{prog_name}8.3
Conflicts: %{prog_name}-8.2-eter
Conflicts: %{prog_name}-8.3-eter

# Automatically added by buildreq on Sat Apr 16 2005
BuildRequires: OpenSP docbook-dtds docbook-style-dsssl flex gzip-utils hostinfo libpam-devel libreadline-devel libssl-devel openjade perl-SGMLSpm perl-devel python-base python-dev sgml-common tcl-devel zlib-devel libxml2-devel libxslt-devel

%description
PostgreSQL is an advanced Object-Relational database management system
(DBMS) that supports almost all SQL constructs (including
transactions, subselects and user-defined types and functions). The
postgresql package includes the client programs and libraries that
you'll need to access a PostgreSQL DBMS server.  These PostgreSQL
client programs are programs that directly manipulate the internal
structure of PostgreSQL databases on a PostgreSQL server. These client
programs can be located on the same machine with the PostgreSQL
server, or may be on a remote machine which accesses a PostgreSQL
server over a network connection. This package contains the docs
in HTML for the whole package, as well as command-line utilities for
managing PostgreSQL databases on a PostgreSQL server.

If you want to manipulate a PostgreSQL database on a remote PostgreSQL
server, you need this package. You also need to install this package
if you're installing the postgresql-server package.

%package -n %libpq_name
Summary: The shared libraries required for any PostgreSQL clients
Group: Databases
Provides: libpq = %version-%release
Provides: libpq%libpq_major = %version-%release
Conflicts: libpq%libpq_major < %version-%release
Conflicts: libpq%libpq_major > %version-%release

%description -n %libpq_name
C and C++ libraries to enable user programs to communicate with the
PostgreSQL database backend. The backend can be on another machine and
accessed through TCP/IP.

%if_with devel
%package -n %libpq_name-devel
Summary: Development shared library for %libpq_name
Group: Development/Databases
Requires: %libpq_name = %version-%release
Provides: libpq-devel = %version-%release
Conflicts: libpq-devel < %version-%release
Conflicts: libpq-devel > %version-%release
Provides: libpq%libpq_major-devel = %version-%release
Conflicts: libpq%libpq_major-devel < %version-%release
Conflicts: libpq%libpq_major-devel > %version-%release

%description -n %libpq_name-devel
Development shared library for %libpq_name

%package -n %libpq_name-devel-static
Summary: Development static library for %libpq_name
Group: Development/Databases
Requires: %libpq_name-devel = %version-%release
Provides: libpq-devel-static = %version-%release
Conflicts: libpq-devel-static < %version-%release
Conflicts: libpq-devel-static > %version-%release
Provides: libpq%libpq_major-devel-static = %version-%release
Conflicts: libpq%libpq_major-devel-static < %version-%release
Conflicts: libpq%libpq_major-devel-static > %version-%release

%description -n %libpq_name-devel-static
Development static library for %libpq_name
%endif

%package -n %libecpg_name
Summary: Shared library %libecpg_name for PostgreSQL
Group: Databases
Provides: libecpg = %version-%release
Provides: libecpg%libecpg_major = %version-%release
Conflicts: libecpg%libecpg_major < %version-%release
Conflicts: libecpg%libecpg_major > %version-%release

%description -n %libecpg_name
%libecpg_name is used by programs built with ecpg (Embedded PostgreSQL for C)
Use postgresql-dev to develop such programs.

%if_with devel
%package -n %libecpg_name-devel
Summary: Development shared library to %libecpg_name
Group: Development/Databases
Requires: %libecpg_name = %version-%release
Provides: libecpg-devel = %version-%release
Conflicts: libecpg-devel < %version-%release
Conflicts: libecpg-devel > %version-%release
Provides: libecpg%libecpg_major-devel = %version-%release
Conflicts: libecpg%libecpg_major-devel < %version-%release
Conflicts: libecpg%libecpg_major-devel > %version-%release

%description -n %libecpg_name-devel
Development shared library for %libecpg_name and the ecpg Embedded C
Postgres preprocessor.

%package -n %libecpg_name-devel-static
Summary: Development static library to %libecpg_name
Group: Development/Databases
Requires: %libecpg_name-devel = %version-%release
Provides: libecpg-devel-static = %version-%release
Conflicts: libecpg-devel-static < %version-%release
Conflicts: libecpg-devel-static > %version-%release
Provides: libecpg%libecpg_major-devel-static = %version-%release
Conflicts: libecpg%libecpg_major-devel-static < %version-%release
Conflicts: libecpg%libecpg_major-devel-static > %version-%release

%description -n %libecpg_name-devel-static
Development static library to %libecpg_name
%endif

%package docs
Summary: Extra documentation for PostgreSQL
Group: Databases

%description docs
The postgresql-docs package includes the SGML source for the documentation
as well as the documentation in other formats, and some extra documentation.
Install this package if you want to help with the PostgreSQL documentation
project, or if you want to generate printed documentation.

%package contrib
Summary: Contributed source and binaries distributed with PostgreSQL
Group: Databases
Requires: %name = %version-%release

%description contrib
The postgresql-contrib package includes the contrib tree distributed with
the PostgreSQL tarball.  Selected contrib modules are prebuilt.

%package server
Summary: The programs needed to create and run a PostgreSQL server
Group: Databases
PreReq: shadow-utils, syslogd-daemon, grep, %__subst, chrooted, postgresql-common
Requires: %name = %version-%release
Requires: glibc-locales
Provides: %prog_name-server = %version-%release
Conflicts: %prog_name-server < %version-%release
Conflicts: %prog_name-server > %version-%release

%description server
The postgresql-server package includes the programs needed to create
and run a PostgreSQL server, which will in turn allow you to create
and maintain PostgreSQL databases.  PostgreSQL is an advanced
Object-Relational database management system (DBMS) that supports
almost all SQL constructs (including transactions, subselects and
user-defined types and functions). You should install
postgresql-server if you want to create and maintain your own
PostgreSQL databases and/or your own PostgreSQL server. You also need
to install the postgresql package.

%if_with devel
%package devel
Summary: PostgreSQL development header files
Group: Development/Databases
Requires: %libpq_name-devel = %version-%release, %libecpg_name-devel = %version-%release
Provides: postgresql-devel = %version-%release

%description devel
The postgresql-devel package contains the header files needed to compile applications
which will directly interact with a PostgreSQL database management server.
You need to install this package if you want to develop applications which will interact
with a PostgreSQL server.
%endif

%package tcl
Summary: The PL/Tcl procedural language for PostgreSQL
Group: Databases
Requires: %name = %version-%release tcl >= 8.4.0-alt1
Provides: postgresql-tcl

%description tcl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-tcl package contains the PL/Tcl procedural language
for the backend.

%package perl
Summary: The PL/Perl procedural language for PostgreSQL
Group: Databases
Requires: %name = %version-%release
AutoReqProv: yes, perl

%description perl
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-perl package contains the PL/Perl procedural
language for the backend.

%package python
Summary: Development module for Python code to access a PostgreSQL DB
Group: Databases
Requires: %name = %version-%release

%description python
PostgreSQL is an advanced Object-Relational database management
system.  The postgresql-python package includes a module for
developers to use when writing Python code for accessing a PostgreSQL
database.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

rm src/backend/bootstrap/{bootparse.c,bootscanner.c,bootstrap_tokens.h}
rm src/backend/parser/{gram.c,parse.h,scan.c}
rm src/backend/utils/misc/guc-file.c
rm src/bin/psql/psqlscan.c
rm src/interfaces/ecpg/preproc/{preproc.c,preproc.h,pgc.c}
rm src/pl/plpgsql/src/{pl_gram.c,pl.tab.h,pl_scan.c}

rm contrib/cube/{cubescan.c,cubeparse.c,cubeparse.h}
rm contrib/seg/{segparse.c,segparse.h,segscan.c}

%build
#%__autoconf
autoconf-2.5
./configure %_target_platform \
	--prefix=%prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--with-docdir=%_docdir \
	--includedir=%_includedir/%PGSQL \
	--sysconfdir=%_sysconfdir/%PGSQL \
	--datadir=%_datadir/%PGSQL \
	--localstatedir=%_localstatedir \
	--enable-hba \
	--enable-recode \
	--enable-multibyte \
	--enable-nls \
	--without-tk \
	--with-pam \
	--with-openssl \
	--with-CXX \
	--with-perl \
	--with-x \
	--enable-odbc \
	--with-tcl --with-tclconfig=%_libdir \
	--with-readline \
	--with-python \
	--disable-rpath \
	--enable-thread-safety

%make_build pkglibdir=%_libdir/%PGSQL
%make_build pkglibdir=%_libdir/%PGSQL -C contrib
%make_build pkglibdir=%_libdir/%PGSQL -C contrib/xml2

%install
%define docdir %_docdir/%prog_name-%version
%make install DESTDIR=%buildroot pkglibdir=%_libdir/%PGSQL
%make install DESTDIR=%buildroot pkglibdir=%_libdir/%PGSQL docdir=%docdir -C contrib
%make install DESTDIR=%buildroot pkglibdir=%_libdir/%PGSQL docdir=%docdir -C contrib/xml2

%__ln_s /usr/include/pgsql %buildroot%_libdir/%PGSQL/pgxs/src/include

# the postgresql-dump manpage.....
%__cp %SOURCE12 %buildroot%_man1dir/

# copy over Makefile.global & Makefile.port to the include dir....
%__install -m644 src/Makefile.global %buildroot%_includedir/%PGSQL
%__install -m644 src/Makefile.port %buildroot%_includedir/%PGSQL

%__install -m 755 %SOURCE42 %buildroot%_datadir/%PGSQL/upgrade.pl

# The sysconfig directory
%__install -d -m 700 %buildroot%_sysconfdir/%PGSQL

# The initscripts....
%__install -p -m755 -D %SOURCE1 %buildroot%_initdir/%prog_name
%__install -p -m750 -D %SOURCE2 %buildroot%_sysconfdir/chroot.d/%prog_name.lib
%__install -p -m750 -D %SOURCE3 %buildroot%_sysconfdir/chroot.d/%prog_name.conf
%__install -p -m750 -D %SOURCE4 %buildroot%_sysconfdir/chroot.d/%prog_name.all
%__install -p -m750 -D %SOURCE5 %buildroot%_sysconfdir/chroot.d/%prog_name.bin
%__install -p -m750 -D %SOURCE7 %buildroot%_sysconfdir/chroot.d/%prog_name.contrib

%__subst -p 's|@CHROOTDIR@|%ROOT|g' %buildroot%_initdir/%prog_name
pushd %buildroot%_sysconfdir/chroot.d
for f in %prog_name.*; do
 if [ -f "$f" ]; then
   %__subst -p 's|@CHROOTDIR@|%ROOT|g; s|@LIB@|%_lib|g' $f
 fi
done
popd

# PGDATA needs removal of group and world permissions due to pg_pwd hole.
%__install -d -m700 %buildroot%_localstatedir/%PGSQL/data

# backups of data go here...
%__install -d -m700 %buildroot%_localstatedir/%PGSQL/backups

# Upgrade scripts.
%__tar xf %SOURCE8 -C %buildroot

# Fix a dangling symlink
%__mkdir_p %buildroot%_includedir/%PGSQL/port
%__cp src/include/port/linux.h %buildroot%_includedir/%PGSQL/port/
%__ln_s port/linux.h %buildroot%_includedir/%PGSQL/os.h

# Chrooted environment
%__mkdir_p %buildroot%ROOT/{bin,dev,%_lib,tmp,%_sysconfdir/%PGSQL,%_localstatedir,%_libdir/%PGSQL,%_libdir/locale}

mksock %buildroot%ROOT/dev/log
%__mkdir_p -m700 %buildroot%_sysconfdir/syslog.d
%__ln_s %ROOT/dev/log %buildroot%_sysconfdir/syslog.d/%prog_name

%__mv %buildroot%_localstatedir/%PGSQL %buildroot%ROOT/%_localstatedir/%PGSQL
%__ln_s %ROOT%_localstatedir/%PGSQL %buildroot%_localstatedir/%PGSQL

# Package docs
#__rm -rf %buildroot%docdir
%__mkdir_p %buildroot%docdir

%__cp -a COPYRIGHT README HISTORY %SOURCE40 %SOURCE41 \
	doc/{FAQ,KNOWN_BUGS,MISSING_FEATURES,TODO,FAQ_russian,bug.template} \
	%buildroot%docdir/

%__bzip2 %buildroot%docdir/FAQ*
%__mv %buildroot%_docdir/%prog_name/html %buildroot%_docdir/%prog_name-docs-%version

%find_lang libpq-%libpq_major
%find_lang pg_dump
%find_lang postgres
%find_lang psql
%find_lang pg_resetxlog
%find_lang pg_controldata
%find_lang pgscripts
%find_lang initdb
%find_lang pg_config
%find_lang pg_ctl

%__cat psql.lang pg_dump.lang pgscripts.lang> main.lang
%__cat postgres.lang pg_resetxlog.lang pg_controldata.lang initdb.lang pg_ctl.lang> server.lang
%__cat pg_config.lang> devel.lang

# buildreq substitution rules.
%__mkdir_p %buildroot%_sysconfdir/buildreqs/packages/substitute.d
echo "%prog_name-devel" > "%buildroot%_sysconfdir/buildreqs/packages/substitute.d/%name-devel"
echo "libpq-devel" > "%buildroot%_sysconfdir/buildreqs/packages/substitute.d/%libpq_name-devel"
echo "libpq-devel-static" > "%buildroot%_sysconfdir/buildreqs/packages/substitute.d/%libpq_name-devel-static"
echo "libecpg-devel" > "%buildroot%_sysconfdir/buildreqs/packages/substitute.d/%libecpg_name-devel"
echo "libecpg-devel-static" > "%buildroot%_sysconfdir/buildreqs/packages/substitute.d/%libecpg_name-devel-static"
chmod 644 %buildroot%_sysconfdir/buildreqs/packages/substitute.d/*

# README.ALT
%__install -p -m 644 -D %SOURCE6 %buildroot%docdir/README.ALT-ru_RU.UTF-8

#rm -f %buildroot%_libdir/libpgport.a

%pre
# Need to make backups of some executables if an upgrade
# They will be needed to do a dump of the old version's database.
# All output redirected to /dev/null.
exec &>/dev/null
if [ $1 -gt 1 -a -d %_libdir/%PGSQL ]
then
    if [ ! -d %_libdir/%PGSQL/backup ]; then
	%__mkdir_p %_libdir/%PGSQL/backup
    fi
    cd %_bindir
    %__cp -fp pg_dump pg_dumpall psql %_libdir/%PGSQL/backup || :
fi

%pre server
exec &>/dev/null

if [ $1 -gt 1 ]
then
   if [ ! -d %_libdir/%PGSQL/backup ]; then
       %__mkdir_p %_libdir/%PGSQL/backup
   fi
   cd %_bindir
   %__cp -fp postmaster postgres %_libdir/%PGSQL/backup
fi

%pre -n %libpq_name
exec &>/dev/null
if [ $1 -gt 1 -a -d %_libdir/%PGSQL ]
then
    if [ ! -d %_libdir/%PGSQL/backup ]; then
	%__mkdir_p %_libdir/%PGSQL/backup
    fi
    cd %_libdir > /dev/null
    %__cp -fp libpq.* %_libdir/%PGSQL/backup
fi

%post server
%post_service %prog_name
echo PGLIB=%_datadir/%PGSQL >> ~postgres/.bash_profile
echo PGDATA=%_localstatedir/%PGSQL/data >> ~postgres/.bash_profile
echo export PGLIB PGDATA >> ~postgres/.bash_profile
%__chown postgres:postgres ~postgres/.bash_profile

SYSLOGD_SCRIPT=/etc/init.d/syslogd
SYSLOGD_CONFIG=/etc/sysconfig/syslogd
if %__grep -qs '^SYSLOGD_OPTIONS=.*-a %ROOT/dev/log' "$SYSLOGD_CONFIG"; then
	%__subst 's|^\(SYSLOGD_OPTIONS=.*\) \?-a %ROOT/dev/log|\1|' "$SYSLOGD_CONFIG"
	if [ -x "$SYSLOGD_SCRIPT" ]; then
		"$SYSLOGD_SCRIPT" condreload ||:
	fi
fi

%_sysconfdir/chroot.d/%prog_name.all force

LOCKFILE=/var/lib/pgsql-root/var/lib/pgsql/data/postmaster.pid
if [ -e "$LOCKFILE" ]; then
  /sbin/service %prog_name stop
  %__rm -f $LOCKFILE
  /sbin/service %prog_name start
fi

%preun server
%preun_service %prog_name

%files -f main.lang
%_bindir/clusterdb
%_bindir/createdb
%_bindir/createlang
%_bindir/createuser
%_bindir/dropdb
%_bindir/droplang
%_bindir/dropuser
%_bindir/pg_dump
%_bindir/pg_dumpall
#%_bindir/pg_encoding
#%_bindir/pg_id
%_bindir/pg_restore
%_bindir/psql
%_bindir/reindexdb
%_bindir/vacuumdb
%_man1dir/clusterdb.1*
%_man1dir/createdb.1*
%_man1dir/createlang.1*
%_man1dir/createuser.1*
%_man1dir/dropdb.1*
%_man1dir/droplang.1*
%_man1dir/dropuser.1*
%_man1dir/pg_dump.1*
%_man1dir/pg_restore.1*
%_man1dir/pg_dumpall.1*
%_man1dir/psql.1*
%_man1dir/reindexdb.1*
%_man1dir/vacuumdb.1*
%_man7dir/*
%dir %docdir
%exclude %docdir/contrib
%docdir/FAQ.bz2
%docdir/KNOWN_BUGS
%docdir/MISSING_FEATURES
%docdir/TODO
%docdir/FAQ_russian.bz2
%docdir/COPYRIGHT
%docdir/README
%docdir/HISTORY
%docdir/bug.template
%docdir/README.rpm-dist
%docdir/upgrade_tips_7.3

%files docs
%dir %_docdir/%prog_name-docs-%version
%_docdir/%prog_name-docs-%version/*.html
%_docdir/%prog_name-docs-%version/*.css

%files contrib
%config %_sysconfdir/chroot.d/%prog_name.contrib

%_bindir/oid2name
%_bindir/pgbench
%_bindir/vacuumlo

%_libdir/pgsql/_int.so
%_libdir/pgsql/adminpack.so
%_libdir/pgsql/autoinc.so
%_libdir/pgsql/btree_gist.so
%_libdir/pgsql/chkpass.so
%_libdir/pgsql/cube.so
%_libdir/pgsql/dblink.so
%_libdir/pgsql/earthdistance.so
%_libdir/pgsql/fuzzystrmatch.so
%_libdir/pgsql/hstore.so
%_libdir/pgsql/insert_username.so
%_libdir/pgsql/int_aggregate.so
%_libdir/pgsql/isn.so
%_libdir/pgsql/lo.so
%_libdir/pgsql/ltree.so
%_libdir/pgsql/moddatetime.so
%_libdir/pgsql/pg_buffercache.so
%_libdir/pgsql/pg_freespacemap.so
%_libdir/pgsql/pg_trgm.so
%_libdir/pgsql/pgcrypto.so
%_libdir/pgsql/pgrowlocks.so
%_libdir/pgsql/pgstattuple.so
%_libdir/pgsql/pgxml.so
%_libdir/pgsql/refint.so
%_libdir/pgsql/seg.so
%_libdir/pgsql/sslinfo.so
%_libdir/pgsql/tablefunc.so
%_libdir/pgsql/timetravel.so
%_libdir/pgsql/tsearch2.so

%_datadir/pgsql/contrib/*sql
%_datadir/pgsql/contrib/english.stop
%_datadir/pgsql/contrib/russian.stop
%_datadir/pgsql/contrib/russian.stop.utf8
%_datadir/pgsql/contrib/thesaurus

%dir %docdir/contrib
%docdir/contrib/*

%files -f libpq-%libpq_major.lang -n %libpq_name
%_libdir/libpq.so.%libpq_major
%_libdir/libpq.so.%libpq_major.*

%files -n %libecpg_name
%_libdir/libecpg.so.%libecpg_major
%_libdir/libecpg.so.%libecpg_major.*
%_libdir/libecpg_compat.so.*
%_libdir/libpgtypes.so.*

%files -f server.lang server
%config %_initdir/%prog_name
%config %_sysconfdir/chroot.d/%prog_name.*
%exclude %_sysconfdir/chroot.d/%prog_name.contrib
%_bindir/initdb
#%_bindir/initlocation
%_bindir/ipcclean
%_bindir/pg_controldata
%_bindir/pg_ctl
%_bindir/pg_resetxlog
%_bindir/postgres
%_bindir/postmaster
%_bindir/%prog_name-dump

%_man1dir/initdb.1*
#%_man1dir/initlocation.1*
%_man1dir/ipcclean.1*
%_man1dir/pg_controldata.1
%_man1dir/pg_resetxlog.1*
%_man1dir/pg_ctl.1*
%_man1dir/postgres.1*
%_man1dir/postmaster.1*
%_man1dir/%prog_name-dump.1*
%dir %_sysconfdir/%PGSQL
%dir %_libdir/%PGSQL
%_libdir/%PGSQL/plpgsql.so
%_libdir/%PGSQL/*_and_*.so
%dir %_datadir/%PGSQL
%dir %_datadir/%PGSQL/backup
%dir %_datadir/%PGSQL/timezone
%_datadir/%PGSQL/timezone/*
%dir %_datadir/%PGSQL/timezonesets
%_datadir/%PGSQL/timezonesets/*
%_datadir/%PGSQL/postgres.bki
%_datadir/%PGSQL/postgres.description
%_datadir/%PGSQL/postgres.shdescription
%_datadir/%PGSQL/*.sample
%_datadir/%PGSQL/backup/pg_dumpall_new
%_datadir/%PGSQL/conversion_create.sql
%_datadir/%PGSQL/upgrade.pl
%_datadir/%PGSQL/information_schema.sql
%_datadir/%PGSQL/sql_features.txt
%_datadir/%PGSQL/system_views.sql
%_datadir/%PGSQL/unknown.pltcl
%_localstatedir/%PGSQL
%_sysconfdir/syslog.d/%prog_name
%docdir/README.ALT-ru_RU.UTF-8

%attr(751,root,root)  %dir %ROOT
%attr(751,root,root)  %dir %ROOT/bin
%attr(751,root,root)  %dir %ROOT/etc
%attr(751,root,root)  %dir %ROOT/etc/%PGSQL
%attr(751,root,root)  %dir %ROOT/dev
%attr(751,root,root)  %dir %ROOT/%_lib
%attr(1777,root,root) %dir %ROOT/tmp
%attr(751,root,root)  %dir %ROOT/usr
%attr(751,root,root)  %dir %ROOT/var
%attr(751,root,root)  %dir %ROOT%_libdir
%attr(751,root,root)  %dir %ROOT%_libdir/%PGSQL
%attr(751,root,root)  %dir %ROOT%_libdir/locale
%attr(751,root,root)  %dir %ROOT%_localstatedir
%attr(700,postgres,postgres)  %dir %ROOT%_localstatedir/%PGSQL
%attr(700,postgres,postgres)  %dir %ROOT%_localstatedir/%PGSQL/backups
%attr(700,postgres,postgres)  %dir %ROOT%_localstatedir/%PGSQL/data
%attr(666,root,root) %ghost %ROOT/dev/log

%if_with devel
%files -f devel.lang devel
%_includedir/%PGSQL
%_bindir/pg_config
%_man1dir/pg_config.*
%dir %_libdir/%PGSQL/pgxs/
%_libdir/%PGSQL/pgxs/*
%_sysconfdir/buildreqs/packages/substitute.d/%name-devel

%files -n %libpq_name-devel
%_libdir/libpq*.so
%_sysconfdir/buildreqs/packages/substitute.d/%libpq_name-devel

%files -n %libecpg_name-devel
%_bindir/ecpg
%_libdir/libecpg*.so
%_libdir/libpgtypes.so
%_man1dir/ecpg.*
%_sysconfdir/buildreqs/packages/substitute.d/%libecpg_name-devel

%files -n %libpq_name-devel-static
%_libdir/libpq*.a
%_sysconfdir/buildreqs/packages/substitute.d/%libpq_name-devel-static

%files -n %libecpg_name-devel-static
%_libdir/libecpg*.a
%_libdir/libpgtypes.a
%_libdir/libpgport.a
%_sysconfdir/buildreqs/packages/substitute.d/%libecpg_name-devel-static
%endif

%files tcl
%_bindir/pltcl_delmod
%_bindir/pltcl_listmod
%_bindir/pltcl_loadmod
%_libdir/%PGSQL/pltcl.so

%files perl
%_libdir/%PGSQL/plperl.so

%files python
%dir %docdir
%_libdir/%PGSQL/plpython.so

%changelog
* Tue Apr 28 2009 Michael Bochkaryov <misha@altlinux.ru> 8.2.13-alt1
- 8.2.13 version
  + Fix CVE-2009-0922 (ALT #19872)
- remove obsolete %%post_ldconfig and %%postun_ldconfig
- implicit conflicts to 8.3, 8.2-eter and 8.3-eter

* Thu Nov 06 2008 Ivan Fedorov <ns@altlinux.org> 8.2.11-alt1
- 8.2.11
  + Fix GiST index corruption

* Sun Nov 02 2008 Ivan Fedorov <ns@altlinux.org> 8.2.10-alt1
- 8.2.10
- rename libpq subpackages to real names.
- disable devel subpackages

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 8.2.9-alt1.0.1
- Automated rebuild due to libssl.so.6 -> libssl.so.7 soname change.

* Sun Jun 15 2008 Michael Bochkaryov <misha@altlinux.ru> 8.2.9-alt1.0
- updated to 8.2.9 version
- libpgport.a is packaged

* Sat Mar 29 2008 Michael Bochkaryov <misha@altlinux.ru> 8.2.6-alt1.2
- release updated to restore libpq5.2 in Sisyphus

* Sat Jan 26 2008 Grigory Batalov <bga@altlinux.ru> 8.2.6-alt1.1
- Rebuilt with python-2.5.

* Fri Jan 18 2008 Ivan Fedorov <ns@altlinux.org> 8.2.6-alt1
- 8.2.6 (security fixes)
- enable building with versions of autoconf another than 2.59

* Fri Dec 28 2007 Ivan Fedorov <ns@altlinux.org> 8.2.5-alt4
- Fix initialisation of chroot.

* Sat Oct 06 2007 Ivan Fedorov <ns@altlinux.org> 8.2.5-alt3
- reworking contribs building & installing

* Mon Sep 24 2007 Ivan Fedorov <ns@altlinux.org> 8.2.5-alt2
- fix building (regenerate all files by lex/yacc)

* Sun Sep 16 2007 Ivan Fedorov <ns@altlinux.org> 8.2.5-alt1
- 8.2.5

* Mon Apr 23 2007 Ivan Fedorov <ns@altlinux.ru> 8.2.4-alt2
- add conflicts to other postgresql versions

* Mon Apr 23 2007 Ivan Fedorov <ns@altlinux.ru> 8.2.4-alt1
- 8.2.4
- set locale for initdb

* Wed Apr 18 2007 Ivan Fedorov <ns@altlinux.ru> 8.2.3-alt5
- Really fix #11256

* Tue Apr 17 2007 Ivan Fedorov <ns@altlinux.ru> 8.2.3-alt4
- Fix problem with initdb (#10807, #11394, #11425)

* Sun Apr 01 2007 Denis Smirnov <mithraen@altlinux.ru> 8.2.3-alt3
- Add conflicts from %name-server to other postgresql-servers

* Thu Mar 29 2007 Ivan Fedorov <ns@altlinux.ru> 8.2.3-alt2
- Fix minor packaging bug (#11256)

* Wed Mar 21 2007 Ivan Fedorov <ns@altlinux.ru> 8.2.3-alt1
- update chroot patch
- merge raorn's changes to initscript
- modify initscript

* Wed Mar 21 2007 Ivan Fedorov <ns@altlinux.ru> 8.2.3-alt0.1
- 8.2.3
- update some patches
- remove hier patch

* Wed Oct 18 2006 Denis Smirnov <mithraen@altlinux.ru> 8.2.0-alt0.beta1
- first build for Sisyphus
